Package org.apache.synapse.transport.netty.api.config

# Class HttpWebSocketInboundEndpointConfiguration

java.lang.Object
org.apache.synapse.transport.netty.api.config.HttpWebSocketInboundEndpointConfiguration

public class HttpWebSocketInboundEndpointConfiguration extends Object
`HttpWebSocketInboundEndpointConfiguration` encapsulates the configurations that are passed from the inbound endpoints to be used when initializing and starting the listener.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpWebSocketInboundEndpointConfiguration(int port, String hostname, String endpointName, String httpProtocolVersion, List<org.apache.synapse.commons.handlers.MessagingHandler> inboundEndpointHandlers)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEndpointName()`
  `String`
  `getHostname()`
  `String`
  `getHttpProtocolVersion()`
  `List<org.apache.synapse.commons.handlers.MessagingHandler>`
  `getInboundEndpointHandlers()`
  `int`
  `getPort()`
  `SSLConfiguration`
  `getSslConfiguration()`
  `void`
  `setEndpointName(String endpointName)`
  `void`
  `setHostname(String hostname)`
  `void`
  `setHttpProtocolVersion(String httpProtocolVersion)`
  `void`
  `setInboundEndpointHandlers(List<org.apache.synapse.commons.handlers.MessagingHandler> inboundEndpointHandlers)`
  `void`
  `setPort(int port)`
  `void`
  `setSslConfiguration(SSLConfiguration sslConfiguration)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HttpWebSocketInboundEndpointConfiguration

    public HttpWebSocketInboundEndpointConfiguration(int port, String hostname, String endpointName, String httpProtocolVersion, List<org.apache.synapse.commons.handlers.MessagingHandler> inboundEndpointHandlers)

- ## Method Details

  - ### getSslConfiguration

    public SSLConfiguration getSslConfiguration()

  - ### setSslConfiguration

    public void setSslConfiguration(SSLConfiguration sslConfiguration)

  - ### getInboundEndpointHandlers

    public List<org.apache.synapse.commons.handlers.MessagingHandler> getInboundEndpointHandlers()

  - ### setInboundEndpointHandlers

    public void setInboundEndpointHandlers(List<org.apache.synapse.commons.handlers.MessagingHandler> inboundEndpointHandlers)

  - ### getEndpointName

    public String getEndpointName()

  - ### setEndpointName

    public void setEndpointName(String endpointName)

  - ### getPort

    public int getPort()

  - ### setPort

    public void setPort(int port)

  - ### getHostname

    public String getHostname()

  - ### setHostname

    public void setHostname(String hostname)

  - ### getHttpProtocolVersion

    public String getHttpProtocolVersion()

  - ### setHttpProtocolVersion

    public void setHttpProtocolVersion(String httpProtocolVersion)